Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object System.Net.ICredentials System.Net.ICredentialsByHost

Provides credentials for password-based authentication.

The class supplies client credentials used in password-based authentication schemes such as Kerberos.

Classes that implement the interface, such as the class, return instances.

This class does not support public key-based authentication methods such as SSL client authentication.

- Constructor

  Constructs and initializes a new instance of the class.

  The properties of the new instance are initialized to .

  0
  1.0.5000.0
  2.0.0.0
- Constructor
  A containing the user name for the account associated with the credentials.
  A containing the password for the account associated with the credentials.

  Constructs and initializes a new instance of the class with the specified user name and password.

  This constructor initializes the property of the new instance to and the property to . The property is initialized to . The values specified for and are passed through to the operating system without modification.

  0
  1.0.5000.0
  2.0.0.0
- Constructor
  A containing the user name associated with the credentials.
  A containing the password for the user name associated with the credentials.
  A containing the domain associated with the credentials.

  Constructs and initializes a new instance of the class with the specified user name, password, and domain.

  This constructor initializes the property of the new instance to , the property to , and the property to . The values specified for and are passed through to the operating system without modification.

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.String

  Gets or sets the domain or machine name that verifies the current credentials.

  A containing the name of the domain that verifies the current credentials.

  The property indicates the domain or realm to which the account belongs. Typically, this is the host machine name where the application executes or the user domain for the currently logged in user.

  Requires read access to the environment variable that contains the domain name. See . 0 1.0.5000.0 2.0.0.0
- Method
  System.Net.NetworkCredential `` `` A representing the resource for which the client is to be authenticated. A containing the of the that will receive the credentials returned by this method.

  Returns the current instance.

  The current instance.

  To be added. 0 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Net.NetworkCredential `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  System.String

  Gets or sets the password of the account associated with the current credentials.

  A containing the password of the account associated with the current credentials.

  To be added. Requires permission to execute unmanaged code. See . 0 1.0.5000.0 2.0.0.0
- Property
  System.String

  Gets or sets the user name for the account associated with the current credentials.

  A containing the user name for the account associated with the current credentials.

  To be added. Requires read access to the environment variable that contains the user name. See . 0 1.0.5000.0 2.0.0.0
0